Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.remotecommand
Class ServiceId

`java.lang.Object
oracle.toplink.remotecommand.ServiceId`

All Implemented Interfaces:
  java.io.Serializable

public class ServiceId
extends java.lang.Object
implements java.io.Serializable

Purpose: Encapsulate the information that uniquely identifies a specific remote command service instance.

Description: A service instance consists primarily of a CommandManager and its associated components including its CommandProcessor, CommandConverter, DiscoveryManager and TransportManager. Whenever a service instance sends out an announcement or remote command to the cluster the service id is included in the message.

Since:
  OracleAS TopLink 10g (9.0.4)
See Also:
  `oracle.toplink.internal.remotecommand.ServiceAnnouncement`, Serialized Form

Field Summary
`static java.lang.String` | `HOST_TOKEN` This $HOST token indicate that the host ip of the URL should be replaced at runtime by user input
`static java.lang.String` | `PORT_TOKEN` This $HOST token indicate that the host ip of the URL should be replaced at runtime by user input

Constructor Summary
`ServiceId()`
`ServiceId(java.lang.String channel, java.lang.String id, java.lang.String url)`

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### HOST_TOKEN

    public static final java.lang.String HOST_TOKEN

  This $HOST token indicate that the host ip of the URL should be replaced at runtime by user input
  See Also:
    Constant Field Values

### PORT_TOKEN

    public static final java.lang.String PORT_TOKEN

  This $HOST token indicate that the host ip of the URL should be replaced at runtime by user input
  See Also:
    Constant Field Values

Constructor Detail

### ServiceId

    public ServiceId()

### ServiceId

    public ServiceId(java.lang.String channel,
                     java.lang.String id,
                     java.lang.String url)

Method Detail

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD